unit dsetget;

{$MODE FPC}
{$MODESWITCH RESULT}

interface

function SetGet(var A: Boolean;  V: Boolean ): Boolean; inline;
function SetGet(var A: AnsiChar; V: AnsiChar): AnsiChar; inline;
function SetGet(var A: Int8;     V: Int8    ): Int8; inline;
function SetGet(var A: Int16;    V: Int16   ): Int16; inline;
function SetGet(var A: Int32;    V: Int32   ): Int32; inline;
function SetGet(var A: Int64;    V: Int64   ): Int64; inline;
function SetGet(var A: UInt8;    V: UInt8   ): UInt8; inline;
function SetGet(var A: UInt16;   V: UInt16  ): UInt16; inline;
function SetGet(var A: UInt32;   V: UInt32  ): UInt32; inline;
function SetGet(var A: UInt64;   V: UInt64  ): UInt64; inline;
function SetGet(var A: Pointer;  V: Pointer ): Pointer; inline;

implementation

function SetGet(var A: Boolean;  V: Boolean ): Boolean; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: AnsiChar; V: AnsiChar): AnsiChar; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: Int8;    V: Int8   ): Int8; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: Int16;   V: Int16  ): Int16; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: Int32;   V: Int32  ): Int32; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: Int64;   V: Int64  ): Int64; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: UInt8;   V: UInt8  ): UInt8; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: UInt16;  V: UInt16 ): UInt16; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: UInt32;  V: UInt32 ): UInt32; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: UInt64;  V: UInt64 ): UInt64; inline;
begin
  A := V;
  Result := V;
end;

function SetGet(var A: Pointer; V: Pointer): Pointer; inline;
begin
  A := V;
  Result := V;
end;

end.
